# PEthSocket::Address Union Reference

An ethernet MAC Address specification. More...

`#include <ethsock.h>`

List of all members.

## Public Member Functions

| Address ()
| Address (const BYTE *addr)
| Address (const Address &addr)
| Address (const PString &str)
Address & | operator= (const Address &addr)
Address & | operator= (const PString &str)
bool | operator== (const BYTE *eth) const
bool | operator!= (const BYTE *eth) const
bool | operator== (const Address &eth) const
bool | operator!= (const Address &eth) const
| operator PString () const

## Public Attributes

BYTE | b [6]
WORD | w [3]
struct {
DWORD l
WORD s
} | ls

## Friends

ostream & | operator<< (ostream &s, const Address &a)

## Detailed Description

An ethernet MAC Address specification.

## Constructor & Destructor Documentation

PEthSocket::Address::Address | ( |  | ) |

PEthSocket::Address::Address | ( | const BYTE * | addr | ) |

PEthSocket::Address::Address | ( | const Address & | addr | ) |

PEthSocket::Address::Address | ( | const PString & | str | ) |

## Member Function Documentation

PEthSocket::Address::operator PString | ( |  | ) | const

bool PEthSocket::Address::operator!= | ( | const Address & | eth | ) | const`[inline]`

bool PEthSocket::Address::operator!= | ( | const BYTE * | eth | ) | const

Address& PEthSocket::Address::operator= | ( | const PString & | str | ) |

Address& PEthSocket::Address::operator= | ( | const Address & | addr | ) |

bool PEthSocket::Address::operator== | ( | const Address & | eth | ) | const`[inline]`

bool PEthSocket::Address::operator== | ( | const BYTE * | eth | ) | const

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | s,
|  | const Address & | a |
| ) |  |  | `[friend]`

## Member Data Documentation

BYTE PEthSocket::Address::b[6]

DWORD PEthSocket::Address::l

struct { ... } PEthSocket::Address::ls

WORD PEthSocket::Address::s

WORD PEthSocket::Address::w[3]

The documentation for this union was generated from the following file:

- ethsock.h